﻿/*body {
   color: purple;*/
/*    background: lime;*/
/*height: 100vh;
}

.background-layer {
    display: grid;
    place-content: center;*/
/*    justify-content: center;
    align-content: center;
*/ /*gap: 1rem;
    min-height: 70vh;
}

.login-box {
    background: gray;
}

td:hover {
    background: initial;
}

dd input {
    width: 100%;
}*/
/*$backgroundcolor1: #b4cf49;
$primary-blue: #606DB3;*/
body {
  color: white;
  /*    background: lime;*/
  height: 100vh;
  /*margin: 0;*/
  font-family: "BioRhyme", serif;
  font-family: "Inter", sans-serif;
}

label {
  color: #395E66;
}

.background-layer {
  height: 100vh;
  display: flex;
  flex-direction: column;
}

.imagebox {
  background: #b4cf49;
  width: 100vw;
  margin: auto;
  padding-top: 5%;
  padding-bottom: 5%;
  display: flex;
  min-height: 35vh;
  flex-direction: column;
  box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}

.rollBox {
  margin: auto;
  max-width: 80%;
}

.textRoll {
  font-size: 1rem;
  margin: auto;
  margin-top: 5px;
  margin-bottom: 5px;
}

.nemklinik-img {
  content: url("../images/Logo Transparent.png");
  margin: auto;
  width: auto;
  height: auto;
  max-width: 60%;
  max-height: 80%;
}

.page-container {
  height: 100%;
  background: #F2F2FE;
}

.login-box {
  color: #395E66;
  /*background: gray;*/
  /*border-start-end-radius: 4px;*/
  /*border-radius: 45px;*/
  /*    border-start-start-radius: 25%;
      border-start-end-radius: 25%;
      border-radius: 25%;
  */
}

.page-container > form {
  height: 100%;
  display: flex;
  flex-direction: column;
  padding-bottom: 20px;
  padding-top: 20px;
  gap: 0.5rem;
  /*margin: auto;*/
  /*background-color: purple;*/
}

.page-container > form > div {
  /*background-color: lightgreen;*/
  margin-right: auto;
  margin-left: auto;
  width: 80%;
  margin-top: 5px;
  /*flex-grow: 1;*/
  /*background: pink;*/
}

.page-container > form > div > * {
  width: 100%;
  margin: auto;
  /*text-align: center;*/
}

.page-container > form > div:nth-of-type(1) {
  margin-top: auto;
}

.page-container > form > div:nth-of-type(2) {
  margin-top: auto;
}

.page-container > form > div:last-of-type {
  margin-bottom: auto;
  /*background-color: yellow;*/
  /*margin: auto;*/
}

h2 {
  text-align: center;
}

.input-group > .form-control {
  border-left: none;
}

.input-group-text {
  height: 100%;
  background-color: inherit;
  border: none;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  /*border-left: none;*/
  /*margin-left: -1px;*/
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  border-right: none;
}

/*input:-internal-autofill-selected {
    background-color: red !important;
}*/
.btn-primary {
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
  box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 30px 60px -12px inset, rgba(0, 0, 0, 0.3) 0px 18px 36px -18px inset;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
}

.form-label {
  text-align: left;
}

@media only screen and (min-width: 600px) {
  body {
    background: white;
    display: flex;
  }
  .background-layer {
    flex-direction: row;
    /*max-width: 60%;*/
    min-width: 60%;
    margin: auto;
    max-height: 80%;
    height: auto;
  }
  .page-container {
    margin-left: 0;
    margin-right: auto;
    min-width: 40%;
    /*height: 60%;*/
    /*margin:auto;*/
    height: auto;
    /*height: 100%;*/
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
    margin-top: -5px;
    margin-bottom: -5px;
  }
  .imagebox {
    margin-right: -5px;
    margin-left: auto;
    width: auto;
    /*height: 100%;*/
    min-width: 60%;
    box-shadow: none;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
    /*        margin-bottom: 3px;
            margin-top: 3px;
    */
  }
  .page-container > form {
    /*margin: auto;*/
    /*height: 100%;*/
  }
}
.terms-link {
  margin-left: auto;
  margin-right: 15px;
  font-size: 0.9rem;
}

/* Remove default button styles */
.button-link {
  background: none;
  border: none;
  padding: 0;
  margin: 0;
  font: inherit;
  color: blue; /* Link color */
  text-decoration: underline; /* Add underline for link effect */
  cursor: pointer; /* Change cursor to pointer for interaction */
}

/* Style on hover (optional) */
.button-link:hover {
  color: red; /* Change color on hover */
}

.errorline {
  color: red;
}
